#ifndef __CACCOUNT_H__
#define __CACCOUNT_H__

class CAccount : public CObject
{
	DECLARE_DYNCREATE(CAccount);	//  ü 

public:
	CAccount(CString, CString, CString, int);
	CAccount();
	~CAccount();

	void Set(CString, CString, CString, int);
	void Show();
	void Deposit(int);
	void Withdraw(int);

	CString GetUser() const;
	CString GetType() const;
	CString GetNumber() const;
	int GetBalance() const;

	CAccount& operator=(const CAccount&);

#ifdef _DEBUG
	virtual void AssertValid() const;	// this pointer NULLƴ 
#endif

private:
	CString m_strUserName;		//  ̸
	CString m_strAccountType;	//  
	CString m_strAccountNumber;	//  ȣ
	int m_nBalance;		// ܾ
};
#endif